org.apache.tinkerpop.gremlin.process.remote.traversal.strategy.decoration

## Class RemoteStrategy

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy<TraversalStrategy.DecorationStrategy>
  - - org.apache.tinkerpop.gremlin.process.remote.traversal.strategy.decoration.RemoteStrategy

- All Implemented Interfaces:
    Serializable, Comparable<Class<? extends TraversalStrategy>>, TraversalStrategy<TraversalStrategy.DecorationStrategy>, TraversalStrategy.DecorationStrategy

      public final class RemoteStrategy
      extends AbstractTraversalStrategy<TraversalStrategy.DecorationStrategy>
      implements TraversalStrategy.DecorationStrategy

  Reconstructs a `Traversal` by appending a `RemoteStep` to its end. That step will submit the `Traversal` to a `RemoteConnection` instance which will typically send it to a remote server for execution and return results.
  Author:
    Stephen Mallette (http://stephen.genoprime.com), Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteStrategy(RemoteConnection remoteConnection)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Traversal.Admin<?,?> traversal)`
    `Set<Class<? extends TraversalStrategy.DecorationStrategy>>` | `applyPost()` The set of strategies that must be executed after this strategy is executed.
    `static RemoteStrategy` | `instance()` Deprecated. As of release 3.2.2, replaced by `RemoteStrategy(RemoteConnection)` where this method should only be used by `RemoteGraph` for backward compatibility.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy.DecorationStrategy

      `compareTo, getTraversalCategory`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `applyPrior, getConfiguration`

- - ### Constructor Detail

    - #### RemoteStrategy

          public RemoteStrategy(RemoteConnection remoteConnection)

  - ### Method Detail

    - #### instance

          @Deprecated
          public static RemoteStrategy instance()

      Deprecated. As of release 3.2.2, replaced by `RemoteStrategy(RemoteConnection)` where this method should only be used by `RemoteGraph` for backward compatibility.

    - #### applyPost

          public Set<Class<? extends TraversalStrategy.DecorationStrategy>> applyPost()

      Description copied from interface: `TraversalStrategy`
      The set of strategies that must be executed after this strategy is executed. If there are no ordering requirements, the default implementation returns an empty set.
      Specified by:
        `applyPost` in interface `TraversalStrategy<TraversalStrategy.DecorationStrategy>`
      Returns:
        the set of strategies that must be executed post this one

    - #### apply

          public void apply(Traversal.Admin<?,?> traversal)

      Specified by:
        `apply` in interface `TraversalStrategy<TraversalStrategy.DecorationStrategy>`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.